Jump to content


Photo

[Addon] .NET 4.0 framework TRUE addon

v4.0.30319.1026

  • Please log in to reply
44 replies to this topic

#1 nonno fabio

nonno fabio

    WinCert Pro

  • Moderators
  • 358 posts
  • OS:Windows 7

Posted 29 April 2010 - 03:40 PM

OnePiece Microsoft.NET Framework v4.0.30319.1029 True AddOn ENU
tabdownload.png Update (17 October 2014)
tabdownload.png Update (17 October 2014)
tabdownload.png Update (17 October 2014)
tabdownload.png Update (17 October 2014)
tabdownload.png Update (17 October 2014)
tabdownload.png Update (17 October 2014)
tabdownload.png Update (17 October 2014)
Hash MD5 7CE5072A402B3B99F4C8F17620E08E47
Filesize: 42.16 MB (44210508 bytes)


The peculiarity of this addon is that .NET framework is directly slipstreamed into your XP/2003/Seven* x32 source, without the need of running .msi files or svcpack/runonce installations, a "true addon" integration just like .net 1.0 in Windows Server 2003.
So you'll get a working .NET framework already installed BEFORE T-13 (svcpack time), a very handy opportunity.

*For integrating addons in Windows 7 images you need DX Win NT 6.x True Integrator

.Net can be unistalled from Windows Component Wizard:
 
catturaph.png



You can also force .net removal typing one of these command in a Run window:


 
 
RUNDLL32.exe advpack.dll,LaunchINFSection NETFX40.inf,NETFX40.SHOW
 
RUNDLL32.exe advpack.dll,LaunchINFSection NETFX40.inf,NETFX40.HIDE
RUNDLL32.exe advpack.dll,LaunchINFSection NETFX40.inf,NETFX40.CleanUp
NETFX40.SHOW: shows DotNet in Windows Component Wizard (default)
NETFX40.HIDE: hides DotNet in Windows Component Wizard
NETFX40.CleanUp: executes a forced cleanup of DotNet Setup from Windows registry so you can reinstall Dotnet again from a common installer file.

If you use Onepiece's XP postSP3 AIO Update Pack or W2k3 postSP2 AIO Update Pack you don't need this addon because it is already included

Edited by nonno fabio, 18 October 2014 - 12:23 PM.

  • mona and jaynbe like this

#2 DaRk MaDnEsS

DaRk MaDnEsS

    Live Free or Die Hard

  • Contributors
  • 971 posts
  • Location:Some where out computer
  • OS:Windows 7

Posted 30 April 2010 - 11:18 AM

does it require net frame 1 or it's independent of them

#3 George King

George King

    Wincert Addict

  • Members
  • PipPipPipPipPipPip
  • 553 posts
  • Location:cs-CZ

Posted 30 April 2010 - 11:56 AM

I think, its independent ;)

#4 DaRk MaDnEsS

DaRk MaDnEsS

    Live Free or Die Hard

  • Contributors
  • 971 posts
  • Location:Some where out computer
  • OS:Windows 7

Posted 30 April 2010 - 12:19 PM

I think, its independent ;)


well i know it's independent of net frame 2 to 3.5 but not sure about 1

#5 bphlpt

bphlpt

    WinCert Dominator

  • Global Mods
  • 1,174 posts
  • OS:Windows 7 x64

Posted 30 April 2010 - 04:23 PM

1.0, 1.1, 2.0, 3.0, 3.5, 4.0 are all independent, and so are all "needed". Well, not really 1.0 except in special circumstances, and 1.1 needs are fairly infrequent, but for everything else you'll probably end up running into something that needs it. Bottom line, MS says you need everything except 1.0, that's why they're all installed automatically in Windows 7, but it's up to you to decide what you want to include.

Cheers and Regards

#6 jaynbe

jaynbe

    WinCert Pro

  • Members
  • PipPipPipPipPip
  • 324 posts
  • OS:non-selected

Posted 01 May 2010 - 11:18 AM

that's why they're all installed automatically in Windows 7


dotNet1.0 and 1.1SP1 are not native in Win 7, nor even supported and according MS obsolete.

The dotNet1 generation was native to Win 2003 and MCE2005 and only the latter needs it to run mediacenter.

#7 AndreyPopov

AndreyPopov

    Advanced Member

  • Members
  • PipPipPip
  • 84 posts
  • OS:Windows XP Pro

Posted 14 May 2010 - 02:59 PM

some troubles with this addon!!!

add addon by nLite

after full install get error:
rundll32.exe - Unable to Locate Component
This appliaction has failed to start because framedyn.dll was not found. Re-installing the application bla-bla

then
RUNDLL
Error loading srclient.dll
The specified module could not be found


if try open Control Panel -> Add/Remove Programs -> Add/Remove Windows Component than get error:
Setup was unable to open information file net40inf
specifiic error 0xe00002 at line 0

Edited by AndreyPopov, 14 May 2010 - 03:00 PM.


#8 jaynbe

jaynbe

    WinCert Pro

  • Members
  • PipPipPipPipPip
  • 324 posts
  • OS:non-selected

Posted 16 May 2010 - 04:19 PM

Me too, I like using nLite for integrating and finishing my XP CD's

I have also experienced the same errors as AndreyPopov mentioned in his post above. Source was like allways clean XPSP3.

With RVMI all goes well. So for now I have been integrating User_Hiddens Updatepack with OnePiece_IE8_True_Addon in a first run with RVMI and then the dotNet_True_Addon(s)in a second run. After that all other stuff and finishing with nLite and everything works.

Edited by jaynbe, 16 May 2010 - 04:21 PM.


#9 newsposter

newsposter

    WinCert Friend

  • Members
  • PipPipPipPip
  • 140 posts
  • OS:Windows XP Pro

Posted 16 May 2010 - 10:05 PM

Nlite, although functional, is a dead app with no development or support. While devs of addon packs currently take care to keep compatibility with nlite, it is not unreasonable to assume that at some point in the near future, pack developers may choose to concentrate on RVMI with any nlite compatibility occurring as a happy accident.

Additionally, any future msft patches for XP and by extension, any post SPxx service packs, will require SP3. This is because all versions of XP at SP2 and older are considered obsolete, out of support, and dead as of 01 July 2010.

Edited by newsposter, 16 May 2010 - 10:09 PM.


#10 AndreyPopov

AndreyPopov

    Advanced Member

  • Members
  • PipPipPip
  • 84 posts
  • OS:Windows XP Pro

Posted 18 May 2010 - 11:33 AM

if addon NOT compatible with nLite or RVMI than publisher MUST point for this problem!!!

but same addon .Net 1.1 and .Net 2.0-3.0-3.5 integrated by nLite with no problems!

Edited by AndreyPopov, 18 May 2010 - 11:38 AM.


#11 dfds

dfds

    Lurker

  • Members
  • Pip
  • 1 posts
  • OS:non-selected

Posted 03 June 2010 - 04:44 AM

hi,nonno fabio。I'am beginner。I want to make some addons for my WinXP SP3 CHS。All of these AddOns would be chinese simplified version。And I get some problem listed below:

1、I use “Nonno Fabio and OnePiece Update Pack/AddOn Creator INTL beta version” to make the addons, the addons can be used by NLite? Or RVM_Integrator_1.6 would be better?

2、I want to have dotnetFramework3.5sp1 and dotnetFramework4 true addons,but the “Update Pack/AddOn Creator beta version”can not do it,how can i make or get the addons and slipstream them into my windows xp sp3 source. By the way,Does the Creator has a new version can do the work?if has,can you send me?

Thanks

#12 nonno fabio

nonno fabio

    WinCert Pro

  • Moderators
  • 358 posts
  • OS:Windows 7

Posted 28 June 2010 - 07:05 AM

Updated.
Now .net 4 can be uninstalled from WCW and future .net updates would installs smoother

#13 nonno fabio

nonno fabio

    WinCert Pro

  • Moderators
  • 358 posts
  • OS:Windows 7

Posted 12 August 2010 - 06:53 AM

Updated: improved setup with low-end PCs

#14 nonno fabio

nonno fabio

    WinCert Pro

  • Moderators
  • 358 posts
  • OS:Windows 7

Posted 27 October 2010 - 10:17 AM

updated with latest public hotfixes.

Now .Net 4.0 addon can be integrated in Windows 7 32 bit too, using DX Integrator!

#15 OldBaby

OldBaby

    Lurker

  • Members
  • Pip
  • 8 posts
  • OS:Windows 7

Posted 09 November 2010 - 09:59 AM

thanks

#16 nonno fabio

nonno fabio

    WinCert Pro

  • Moderators
  • 358 posts
  • OS:Windows 7

Posted 15 April 2011 - 11:15 PM

updated

#17 nonno fabio

nonno fabio

    WinCert Pro

  • Moderators
  • 358 posts
  • OS:Windows 7

Posted 10 June 2011 - 07:22 AM

updated to v.4.0.30319.233

#18 nonno fabio

nonno fabio

    WinCert Pro

  • Moderators
  • 358 posts
  • OS:Windows 7

Posted 16 June 2011 - 07:30 AM

updated

#19 nonno fabio

nonno fabio

    WinCert Pro

  • Moderators
  • 358 posts
  • OS:Windows 7

Posted 12 August 2011 - 09:22 PM

updated

#20 nonno fabio

nonno fabio

    WinCert Pro

  • Moderators
  • 358 posts
  • OS:Windows 7

Posted 04 January 2012 - 03:56 PM

updated





Also tagged with one or more of these keywords: v4.0.30319.1026

0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users